## net.sf.saxon.event
Class NoOpenStartTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.event.NoOpenStartTagException

All Implemented Interfaces:
  java.io.Serializable

    public class NoOpenStartTagException

extends XPathException

Exception indicating that an attribute or namespace node has been written when there is no open element to write it to

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`NoOpenStartTagException(java.lang.String message)`

Method Summary
`static NoOpenStartTagException` `makeNoOpenStartTagException(int nodeKind, java.lang.String name, int hostLanguage, boolean parentIsDocument, boolean isSerializing)` Static factory method to create the exception

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, getXPathContext, hasBeenReported, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetLocation, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsStaticError, setIsTypeError, setXPathContext`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoOpenStartTagException

    public NoOpenStartTagException(java.lang.String message)

Method Detail

### makeNoOpenStartTagException

    public static NoOpenStartTagException makeNoOpenStartTagException(int nodeKind,
                                                                      java.lang.String name,
                                                                      int hostLanguage,
                                                                      boolean parentIsDocument,
                                                                      boolean isSerializing)

  Static factory method to create the exception

  Parameters:
    `nodeKind` - the kind of node being created (attribute or namespace)
    `name` - the name of the node being created
    `hostLanguage` - XSLT or XQuery (error codes are different in the two cases)
    `parentIsDocument` - true if the nodes are being added to a document node (rather than an element)
    `isSerializing` - true if the document is being created in the process of serialization
  Returns:
    the constructed exception object

Copyright (c) Saxonica Limited. All rights reserved.